package cz.moneta.test.dsl.ufo.banka.pages.fon;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.OBR003_S001_ClientContractSignPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.fop.CIF010_S002_AssociatedFopDataPage;
import cz.moneta.test.dsl.ufo.banka.pages.income.PIM001_S001_IncomeEditPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.HKO101_S001_MainClientPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface CIF113_S001_ChangeDataFOTransitions extends WebFlow<CIF113_S001_ChangeDataFOTransitions> {

    GDP007_S001_ChangeOfIdentificationDocuments onChangeOfIdentificationDocuments();

    CIF010_S002_AssociatedFopDataPage onAssociatedFopDataPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    PIM001_S001_IncomeEditPage onIncomeEditPage();

    HKO101_S001_MainClientPage onMainClientPage();

    OBR003_S001_ClientContractSignPage onOpFoundPage();

    TIS050_S001_SignerSelectionPage onSignerPage();

    CRS001_S001_CommonReportingStatusPage onCommonReportingStatusPage();
}
